(function() {
  'use strict';

  angular.module('Monitour.pages.password', [])
    .config(routeConfig);

  /** @ngInject */
  function routeConfig($stateProvider, $urlRouterProvider) {
    $stateProvider
      .state('password', {
        url: '/password',
        templateUrl: 'app/pages/password/password.html',
        title: 'My Page',
        controller: 'passwordCtrl',
		controllerAs: 'vm',       
        authenticate: false
      })
	  .state('pin', {
          url: '/pin',  	 
		  templateUrl: 'app/pages/password/pin.html',
          title: 'Enter Pin',
		  controller: 'pinCtrl',
		  controllerAs: 'vm',
	       params: {
             'user': null
            },
		 authenticate: false
        })
		  .state('confirm', {
          url: '/confirm',
		  templateUrl: 'app/pages/password/confirm.html',
          title: 'Confirm Password',
		  controller: 'confirmCtrl',
		  controllerAs: 'vm',
		  params: {
             'user': null,
			 'pin': null,
            },
		 authenticate: false
        })
		 .state('success', {
          url: '/password/success',
		  templateUrl: 'app/pages/password/success.html',
          title: 'Password Change Success',
		  controller: 'authSuccessCtrl',
		  controllerAs: 'vm',
		  authenticate: false
        });
  }

})();